## pcc 1.1.0~DEVEL+20110422

=== libF77/Makefile ===
# compile, then strip unnecessary symbols

CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes

.c.o :
	cc -O $(CFLAGS) -c $<
	-ld -r -x $*.o
	mv a.out $*.o

MISC =	main.o s_rnge.o abort_.o getarg_.o iargc_.o signal_.o s_stop.o s_paus.o
POW =	pow_ci.o pow_dd.o pow_di.o pow_hh.o pow_ii.o  pow_ri.o pow_zi.o pow_zz.o
CX =	c_abs.o c_cos.o c_div.o c_exp.o c_log.o c_sin.o c_sqrt.o
DCX =	z_abs.o z_cos.o z_div.o z_exp.o z_log.o z_sin.o z_sqrt.o
REAL =	r_abs.o r_acos.o r_asin.o r_atan.o r_atn2.o r_cnjg.o r_cos.o\
	r_cosh.o r_dim.o r_exp.o r_imag.o r_int.o\
	r_lg10.o r_log.o r_mod.o r_nint.o r_sign.o\
	r_sin.o r_sinh.o r_sqrt.o r_tan.o r_tanh.o
DBL =	d_abs.o d_acos.o d_asin.o d_atan.o d_atn2.o\
	d_cnjg.o d_cos.o d_cosh.o d_dim.o d_exp.o\
	d_imag.o d_int.o d_lg10.o d_log.o d_mod.o\
	d_nint.o d_prod.o d_sign.o d_sin.o d_sinh.o\
	d_sqrt.o d_tan.o d_tanh.o 
INT =	i_abs.o i_dim.o i_dnnt.o i_indx.o i_len.o i_mod.o i_nint.o i_sign.o
HALF =	h_abs.o h_dim.o h_dnnt.o h_indx.o h_len.o h_mod.o  h_nint.o h_sign.o
CMP =	l_ge.o l_gt.o l_le.o l_lt.o hl_ge.o hl_gt.o hl_le.o hl_lt.o
CHAR =	s_cat.o s_cmp.o s_copy.o 

libF77.a : $(MISC) $(POW) $(CX) $(DCX) $(REAL) $(DBL) $(INT) $(HALF) $(CMP) $(CHAR) cabs.o
	ar r libF77.a $?

clean:
	rm -f $(MISC) $(POW) $(CX) $(DCX) $(REAL) $(DBL) $(INT) $(HALF) \
		$(CMP) $(CHAR) cabs.o libF77.a

=== libI77/Makefile ===
#
# Simple makefile for the F77 I/O library.
#

CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes

.c.o :
	cc -O $(CFLAGS) -c $<
	-ld -r -x $*.o
	mv a.out $*.o

OBJS= backspace.o dfe.o due.o iio.o inquire.o lib.o rewind.o rsfe.o rdfmt.o \
	sue.o uio.o wsfe.o sfe.o fmt.o lio.o lread.o open.o close.o \
	util.o endfile.o wrtfmt.o err.o fmtlib.o

libI77.a: $(OBJS)
	ar r libI77.a $?

clean:
	/bin/rm -f $(OBJS) libI77.a

=== csu/darwin/Makefile ===
MACH ?= powerpc
TARGET ?= $(MACH)-darwin
VERSION ?= 0.9.9
PCCLIBDIR ?= /usr/local/lib/pcc/$(TARGET)/$(VERSION)/lib
SRCDIR ?= .

CFLAGS = -I$(SRCDIR)$(MACH) -I$(SRCDIR) -Wall -Werror -Wstrict-prototypes -Wmissing-prototypes

OBJS = crt0.o crt1.o gcrt1.o dylib1.o

all:	$(OBJS)

crt0.o:	$(MACH)/crt0.c
	$(CC) -r -static -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DCRT -O $(CFLAGS) -o $@ $<

crt1.o:	$(MACH)/crt0.c
	$(CC) -r -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DCRT -DDYNAMIC -O $(CFLAGS) -o $@ $< /usr/lib/dyld

gcrt1.o: $(MACH)/crt0.c
	$(CC) -r -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DCRT -DDYNAMIC -DPROFILE -O $(CFLAGS) -o $@ $< /usr/lib/dyld

dylib1.o: $(MACH)/dylib1.c
	$(CC) -r -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DDYNAMIC -O $(CFLAGS) -o $@ $< 

install:
	mkdir -p ${DESTDIR}$(PCCLIBDIR)
	cp $(OBJS) ${DESTDIR}$(PCCLIBDIR)

clean:
	rm -f $(OBJS)

=== csu/linux/Makefile ===
MACH ?=	i386
TARGET ?= $(MACH)-linux
VERSION ?= 0.9.9
PCCLIBDIR ?= /usr/local/lib/pcc/$(TARGET)/$(VERSION)/lib
SRCDIR ?= .

CFLAGS = -I$(SRCDIR)/$(MACH) -I$(SRCDIR) -Wall -Wstrict-prototypes -Wmissing-prototypes

OBJS = crt0.o crt1.o gcrt1.o crti.o crtn.o crtbegin.o crtend.o

all:	$(OBJS)

crt0.o:	$(MACH)/crt0.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

crt1.o:	$(MACH)/crt0.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

gcrt1.o: $(MACH)/crt0.c
	$(CC) -O -DPROFILE $(CFLAGS) -c -o $@ $<

crti.o: $(MACH)/crti.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

crtn.o: $(MACH)/crtn.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

crtbegin.o: crtbegin.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

crtend.o: crtend.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

install:
	mkdir -p ${DESTDIR}$(PCCLIBDIR)
	cp $(OBJS) ${DESTDIR}$(PCCLIBDIR)

clean:
	rm -f $(OBJS)

=== csu/netbsd/Makefile ===
MACH ?=	i386
TARGET ?= $(MACH)-netbsd
VERSION ?= 0.9.9
PCCLIBDIR ?= /usr/local/lib/pcc/$(TARGET)/$(VERSION)/lib
SRCDIR ?= .

CFLAGS = -I$SRCDIR/$(MACH) -I$(SRCDIR) -Wall -Wstrict-prototypes -Wmissing-prototypes

OBJS = crtbegin.o crtend.o

all:	$(OBJS)

crtbegin.o: crtbegin.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

crtend.o: crtend.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

install:
	mkdir -p ${DESTDIR}$(PCCLIBDIR)
	cp $(OBJS) ${DESTDIR}$(PCCLIBDIR)

clean:
	rm -f $(OBJS)

=== debian/changelog ===
pcc (1.1.0~DEVEL+20110422-1) experimental; urgency=low

  * Initial release. (Closes: #442913)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Apr 2011 23:36:39 +0200

=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/pcc/debian/control.in,v 1.7 2011/04/22 21:37:01 tg Exp $
Source: pcc
Section: devel
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: http://pcc.ludd.ltu.se/
Build-Depends: debhelper (>= 5), autotools-dev, autoconf2.59,
 byacc, flex, mksh
Standards-Version: 3.9.2
# First word is the  (-d arg) string, second word the module.
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/pcc
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/pcc/
# This would be a nice place to list *all* our binary packages,
# including these for currently broken pcc targets, for ftpmasters.

Package: pcc
# should’ve been 「all」 but doesn’t work like that ☹
Architecture: amd64 i386
Depends: ${misc:Depends}, pcc-for-x86-64-linux-gnu [amd64] | pcc-for-i386-linux-gnu [i386]
Description: Portable C Compiler -- native compiler
 PCC is a small, simple, fast and understandable C99 compiler
 based on the original Portable C Compiler by S. C. Johnson, written
 in the late 1970s. Focus on being able to compile and run on a PDP11,
 even if it may not happen in reality, keeps it lean; abstinence from
 over-complicated algorithms leads to quick reliable code generation.
 Even though much of the compiler has been rewritten, some of the
 basics still remain.
 .
 This metapackage pulls in the parts of pcc needed to compile
 natively on this platform. It contains no files by itself,
 other than generic documentation, because pcc does not care
 whether it is a native or cross compiler, which is why the
 compiler packages are built the same way on all platforms.

Package: pcc-for-x86-64-linux-gnu
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, pcc-libs-x86-64-linux-gnu,
 binutils [amd64] | binutils-x86-64-linux-gnu [!amd64]
Description: Portable C Compiler -- compiler targetting amd64
 PCC is a small, simple, fast and understandable C99 compiler
 based on the original Portable C Compiler by S. C. Johnson, written
 in the late 1970s. Focus on being able to compile and run on a PDP11,
 even if it may not happen in reality, keeps it lean; abstinence from
 over-complicated algorithms leads to quick reliable code generation.
 Even though much of the compiler has been rewritten, some of the
 basics still remain.
 .
 This package contains a pcc creating code for the amd64 platform.

Package: pcc-libs-x86-64-linux-gnu
Architecture: amd64
Depends: ${misc:Depends}
Description: Portable C Compiler -- libraries for amd64
 PCC is a small, simple, fast and understandable C99 compiler
 based on the original Portable C Compiler by S. C. Johnson, written
 in the late 1970s. Focus on being able to compile and run on a PDP11,
 even if it may not happen in reality, keeps it lean; abstinence from
 over-complicated algorithms leads to quick reliable code generation.
 Even though much of the compiler has been rewritten, some of the
 basics still remain.
 .
 This package contains the necessary compiler headers and support
 libraries when creating code for the amd64 platform.

Package: pcc-for-i386-linux-gnu
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, pcc-libs-i386-linux-gnu,
 binutils [i386] | binutils-i386-linux-gnu [!i386]
Description: Portable C Compiler -- compiler targetting i386
 PCC is a small, simple, fast and understandable C99 compiler
 based on the original Portable C Compiler by S. C. Johnson, written
 in the late 1970s. Focus on being able to compile and run on a PDP11,
 even if it may not happen in reality, keeps it lean; abstinence from
 over-complicated algorithms leads to quick reliable code generation.
 Even though much of the compiler has been rewritten, some of the
 basics still remain.
 .
 This package contains a pcc creating code for the i386 platform.

Package: pcc-libs-i386-linux-gnu
Architecture: i386
Depends: ${misc:Depends}
Description: Portable C Compiler -- libraries for i386
 PCC is a small, simple, fast and understandable C99 compiler
 based on the original Portable C Compiler by S. C. Johnson, written
 in the late 1970s. Focus on being able to compile and run on a PDP11,
 even if it may not happen in reality, keeps it lean; abstinence from
 over-complicated algorithms leads to quick reliable code generation.
 Even though much of the compiler has been rewritten, some of the
 basics still remain.
 .
 This package contains the necessary compiler headers and support
 libraries when creating code for the i386 platform.

=== debian/rules ===
#!/usr/bin/make -f
# $MirOS: contrib/hosted/tg/deb/pcc/debian/rules,v 1.4 2011/04/22 20:47:39 tg Exp $
#-
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

LC_ALL:=		C
export LC_ALL

# we cannot build-indep without build-arch
build-arch build-indep: debian/.build_stamp
binary-arch binary-indep: debian/.binary_stamp

clean:
	test -e debian/control.in
	mksh debian/control.in >debian/control
	dh_testdir
	-rm -f debian/.*_stamp debian/*.install debian/*.links
	-rm -rf autom4te.cache libs/autom4te.cache
	-rm -f config.guess config.sub libs/config.guess libs/config.sub \
	    libs/configure configure config.h.in*
	-rm -rf builddir
	dh_clean

debian/.build_stamp:
	dh_testdir
	mksh debian/meat
	@:>$@

debian/.binary_stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	mksh debian/control.in >debian/control

build: build-arch build-indep
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep binary binary-indep binary-arch clean

=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/pcc/debian/watch,v 1.1 2011/04/22 19:41:12 tg Exp $

# Since we package a CVS snapshot, there’s a̲l̲w̲a̲y̲s̲ a newer version ☹

## pcc 1.2.0~DEVEL%2B20220331

=== debian/changelog ===
pcc (1.2.0~DEVEL+20220331-1) unstable; urgency=medium

  * New upstream release
  * Provide cc alternative (Closes: #1014707)
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Sat, 03 Sep 2022 23:52:56 +0800

pcc (1.2.0~DEVEL+20200630-2) unstable; urgency=medium

  * Fix multiarch path

 -- Yangfl <mmyangfl@gmail.com>  Fri, 31 Jul 2020 14:12:51 +0800

pcc (1.2.0~DEVEL+20200630-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Sat, 25 Jul 2020 02:07:31 +0800

pcc (1.2.0~DEVEL+20181216-1) unstable; urgency=medium

  * New upstream release
  * Remove arthictures other than i386/amd64, due to lack of maintaince
  * Move libpcc-dev dep level from Recommends to Depends (Closes: #916074)
  * Bump Standards-Version to 4.3.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Jan 2019 22:57:07 +0800

pcc (1.2.0~DEVEL+20181202-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Remove unsupported arthictures
    - armel, since it assumes native float point on arm
    - sparc64, code is severely outdated

 -- Yangfl <mmyangfl@gmail.com>  Sun, 02 Dec 2018 14:49:42 +0800

pcc (1.2.0~DEVEL+20180604-2) experimental; urgency=medium

  * Remove unsupported arthictures
  * Provide virtual package c-compiler (Closes: #913063)
  * Add Vcs fields
  * Bump Standards-Version to 4.2.1

 -- Yangfl <mmyangfl@gmail.com>  Wed, 07 Nov 2018 22:12:15 +0800

pcc (1.2.0~DEVEL+20180604-1) experimental; urgency=medium

  * Reintroduce package (Closes: #442913)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jun 2018 23:12:52 +0800

## pcc 1.2.0~DEVEL+20181202

=== debian/control ===
Source: pcc
Section: devel
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>= 11~),
 bison,
 flex,
Standards-Version: 4.2.1
Homepage: http://pcc.ludd.ltu.se/
Vcs-Git: https://salsa.debian.org/yangfl-guest/pcc.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/pcc

Package: pcc
Architecture: amd64 armhf i386 mips mips64el mipsel hppa m68k powerpc powerpcspe x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libpcc-dev
Provides: c-compiler
Description: Portable C Compiler
 PCC is a small, simple, fast and understandable C99 compiler based on the
 original Portable C Compiler by S. C. Johnson, written in the late 1970s.
 Focus on being able to compile and run on a PDP11, even if it may not happen
 in reality, keeps it lean; abstinence from over-complicated algorithms leads
 to quick reliable code generation. Even though much of the compiler has been
 rewritten, some of the basics still remain.

## pcc 1.2.0~DEVEL+20181216

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 12~),
  bison,
  flex,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://pcc.ludd.ltu.se/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/pcc.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/pcc
 
 Package: pcc
-Architecture: amd64 armhf i386 mips mips64el mipsel hppa m68k powerpc powerpcspe x32
+# Architecture: amd64 armhf i386 mips mips64el mipsel hppa m68k powerpc powerpcspe
+Architecture: amd64 i386
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends: libpcc-dev
+ libpcc-dev,
 Provides: c-compiler
 Description: Portable C Compiler
  PCC is a small, simple, fast and understandable C99 compiler based on the

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib --with-libdir=/usr/lib --libexecdir=\$${prefix}/bin --with-incdir=/usr/include --enable-native=no --disable-stripping target_alias=${DEB_TARGET_MULTIARCH} BINPREFIX=${DEB_TARGET_GNU_TYPE}-

override_dh_install:
	dh_install
	rm -r debian/pcc/usr/lib
	mv debian/pcc/usr/bin/${DEB_TARGET_GNU_TYPE}-cpp debian/pcc/usr/bin/${DEB_TARGET_GNU_TYPE}-pcc-cpp
	mv debian/pcc/usr/share/man/man1/${DEB_TARGET_GNU_TYPE}-ccom.1 debian/pcc/usr/share/man/man1/ccom.1
	mv debian/pcc/usr/share/man/man1/${DEB_TARGET_GNU_TYPE}-cpp.1 debian/pcc/usr/share/man/man1/pcc-cpp.1

override_dh_installman:
	dh_installman
	ln -s ccom.1.gz debian/pcc/usr/share/man/man1/cxxcom.1.gz

override_dh_link:
	dh_link
	for name in ccom cxxcom pcc-cpp p++ pcc pcpp; do \
		ln -s ${DEB_TARGET_GNU_TYPE}-$$name debian/pcc/usr/bin/$$name; \
	done
	for name in p++ pcpp; do \
		ln -sf ${DEB_TARGET_GNU_TYPE}-pcc debian/pcc/usr/bin/${DEB_TARGET_GNU_TYPE}-$$name; \
	done

## pcc 1.2.0~DEVEL+20200630

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  bison,
  flex,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: http://pcc.ludd.ltu.se/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/pcc.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/pcc

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,23 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --libdir=\$${prefix}/lib --with-libdir=/usr/lib --libexecdir=\$${prefix}/bin --with-incdir=/usr/include --enable-native=no --disable-stripping target_alias=${DEB_TARGET_MULTIARCH} BINPREFIX=${DEB_TARGET_GNU_TYPE}-
+	dh_auto_configure -- \
+		--libdir=\$${prefix}/lib/ \
+		--with-libdir=/usr/lib/ \
+		--libexecdir=\$${prefix}/bin/ \
+		--with-incdir=/usr/include/ \
+		--enable-native=no \
+		--disable-stripping \
+		--enable-multiarch=${DEB_TARGET_MULTIARCH} \
+		target_alias=${DEB_TARGET_MULTIARCH} \
+		BINPREFIX=${DEB_TARGET_GNU_TYPE}-
 
 override_dh_install:
 	dh_install

## pcc 1.2.0~DEVEL+20220331

=== debian/changelog ===
pcc (1.2.0~DEVEL+20220331-2) unstable; urgency=medium

  * Fix FTBFS with GCC-15 (Closes: #1097558)
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 06 Sep 2025 23:01:47 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  bison,
  flex,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: http://pcc.ludd.ltu.se/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/pcc.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/pcc

=== debian/rules ===
--- 
+++ 
@@ -23,22 +23,18 @@
 		target_alias=${DEB_TARGET_MULTIARCH} \
 		BINPREFIX=${DEB_TARGET_GNU_TYPE}-
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm -r debian/pcc/usr/lib
+	rm debian/pcc/usr/bin/${DEB_TARGET_GNU_TYPE}-cc2
 	mv debian/pcc/usr/bin/${DEB_TARGET_GNU_TYPE}-cpp debian/pcc/usr/bin/${DEB_TARGET_GNU_TYPE}-pcc-cpp
 	mv debian/pcc/usr/share/man/man1/${DEB_TARGET_GNU_TYPE}-ccom.1 debian/pcc/usr/share/man/man1/ccom.1
 	mv debian/pcc/usr/share/man/man1/${DEB_TARGET_GNU_TYPE}-cpp.1 debian/pcc/usr/share/man/man1/pcc-cpp.1
-
-override_dh_installman:
-	dh_installman
-	ln -s ccom.1.gz debian/pcc/usr/share/man/man1/cxxcom.1.gz
-
-override_dh_link:
-	dh_link
 	for name in ccom cxxcom pcc-cpp p++ pcc pcpp; do \
 		ln -s ${DEB_TARGET_GNU_TYPE}-$$name debian/pcc/usr/bin/$$name; \
 	done
 	for name in p++ pcpp; do \
 		ln -sf ${DEB_TARGET_GNU_TYPE}-pcc debian/pcc/usr/bin/${DEB_TARGET_GNU_TYPE}-$$name; \
 	done
+
+execute_after_dh_installman:
+	ln -s ccom.1.gz debian/pcc/usr/share/man/man1/cxxcom.1.gz

=== debian/watch ===
version=4
opts=uversionmangle=s/(.*)/1.2.0~DEVEL+$1/,filenamemangle=s/([\d\.]+)\.tgz/1.2.0~DEVEL+$1.tar.gz/ \
http://pcc.ludd.ltu.se/ftp/pub/pcc/ \
  pcc-([\d\.]+)\.tgz debian uupdate
